=== modified file 'Makefile.am'
--- Makefile.am	2009-08-16 12:20:00 +0000
+++ Makefile.am	2009-10-05 09:04:05 +0000
@@ -3,7 +3,11 @@
 
 AUTOMAKE_OPTIONS = dist-bzip2 subdir-objects 1.5 foreign
 DIST_SUBDIRS	= compat lib snmplib scripts src icons errors contrib doc helpers test-suite tools
-SUBDIRS		= compat lib @makesnmplib@ scripts src icons errors doc helpers test-suite tools
+SUBDIRS		= compat lib @makesnmplib@
+if USE_LOADABLE_MODULES
+SUBDIRS += libltdl
+endif
+SUBDIRS += scripts src icons errors doc helpers test-suite tools
 
 DISTCLEANFILES = include/stamp-h include/stamp-h[0-9]*
 DEFAULT_PINGER		= $(libexecdir)/`echo pinger | sed '$(transform);s/$$/$(EXEEXT)/'`

=== modified file 'bootstrap.sh'
--- bootstrap.sh	2009-09-04 12:59:38 +0000
+++ bootstrap.sh	2009-10-05 08:56:02 +0000
@@ -82,12 +82,7 @@
     # instead of manualy moving files from ltdl to lib/libLtdl
     if egrep -q '^[[:space:]]*AC_LIBLTDL_' configure.in
     then
-	if libtoolize$ltver --help | grep -q -- --ltdl.=; then
-	    ltdl="--ltdl=lib/libLtdl"
-	else
-	    ltdl="--ltdl"
-	    copy_libltdl=1
-	fi
+	ltdl="--ltdl"
     else
         ltdl=""
     fi
@@ -95,7 +90,7 @@
     bootstrap libtoolize$ltver $ltdl --force --copy --automake
 
     # customize generated libltdl, if any
-    if test -d libltdl && [ $copy_libltdl ]
+    if test -d libltdl
     then
         src=libltdl
 
@@ -106,19 +101,6 @@
         chmod u+w $makefile
         mv $makefile.new $makefile
         chmod u-w $makefile
-
-        dest=lib/libLtdl
-        # move $src to $dest
-	if test -d $dest # already exists
-	then
-	    echo "Updating $dest from $src."
-            chmod u+w $dest/*
-            mv $src/* $dest/
-            rmdir $src
-	else
-	    echo "Creating $dest from $src."
-	    mv $src $dest
-        fi
     fi
 }
 

=== modified file 'configure.in'
--- configure.in	2009-10-05 08:55:38 +0000
+++ configure.in	2009-10-05 08:56:43 +0000
@@ -70,7 +70,7 @@
     top_build_prefix=${ac_top_build_prefix}
     AC_SUBST(top_build_prefix)
 
-    AC_LIBLTDL_CONVENIENCE(lib/libLtdl)
+    AC_LIBLTDL_CONVENIENCE
 fi
 AC_PROG_LIBTOOL
 AC_LTDL_DLLIB
@@ -4164,6 +4164,6 @@
 AC_CONFIG_SUBDIRS(lib/libTrie)
 
 # must configure libltdl subdir unconditionally for "make distcheck" to work
-AC_CONFIG_SUBDIRS(lib/libLtdl)
+AC_CONFIG_SUBDIRS(libltdl)
 
 AC_OUTPUT

=== modified file 'lib/Makefile.am'
--- lib/Makefile.am	2009-06-14 10:44:38 +0000
+++ lib/Makefile.am	2009-10-05 08:56:02 +0000
@@ -7,10 +7,6 @@
 
 SUBDIRS =
 
-if USE_LOADABLE_MODULES
-SUBDIRS += libLtdl
-endif
-
 if USE_ESI
 SUBDIRS += libTrie
 endif

=== modified file 'src/LoadableModule.cc'
--- src/LoadableModule.cc	2009-02-03 17:36:15 +0000
+++ src/LoadableModule.cc	2009-10-05 08:57:29 +0000
@@ -7,7 +7,7 @@
 #define XSTD_USE_LIBLTDL 1
 
 #if XSTD_USE_LIBLTDL
-#include "libLtdl/ltdl.h" /* generated file */
+#include "libltdl/ltdl.h" /* generated file */
 #else
 #include <dlfcn.h>
 #endif

=== modified file 'src/Makefile.am'
--- src/Makefile.am	2009-09-30 01:15:18 +0000
+++ src/Makefile.am	2009-10-05 08:57:09 +0000
@@ -167,9 +167,6 @@
 	ip/libip.la \
 	fs/libfs.la
 
-## Loadable Modules needs lib/libLtdl stuff
-INCLUDES += -I$(top_srcdir)/lib
-
 EXTRA_PROGRAMS = \
 	DiskIO/DiskDaemon/diskd \
 	unlinkd \


